﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartTooltipCodeBehindCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> ScatterData1 { get; set; }
        public ObservableCollection<SampleData> ScatterData2 { get; set; }


        Random r = new Random();
        public ViewModel()
        {
            ScatterData1 = new ObservableCollection<SampleData>();
            ScatterData2 = new ObservableCollection<SampleData>();

            for (int i = 0; i < 25; i++)
            {
                ScatterData1.Add(new SampleData()
                {
                    XValue = i,
                    YValue = r.Next(1, 10)
                });
                ScatterData2.Add(new SampleData()
                {
                    XValue = i,
                    YValue = r.Next(9, 18)
                });
            }
        }
    }

    public class SampleData
    {
        public int XValue { get; set; }
        public int YValue { get; set; }
    }

}
